Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.compat
Class Jdk12Support

    java.lang.Object
      org.apache.tomcat.util.compat.Jdk11Compat
          org.apache.tomcat.util.compat.Jdk12Support

public class Jdk12Support
extends Jdk11Compat

Field Summary

Fields inherited from class org.apache.tomcat.util.compat.Jdk11Compat
`JAVA_1_0, JAVA_1_1, JAVA_1_2, JAVA_1_3, JAVA_1_4`

Constructor Summary
`Jdk12Support()`

Method Summary
`java.lang.Object` | `doPrivileged(Action action, java.lang.Object accObj)` Do a priviledged action.
`java.lang.Object` | `getAccessControlContext()`
`java.util.ResourceBundle` | `getBundle(java.lang.String name, java.util.Locale loc, java.lang.ClassLoader cl)`
`java.lang.ClassLoader` | `getContextClassLoader()` Get the context class loader, if java2.
`java.lang.ClassLoader` | `getParentLoader(java.lang.ClassLoader cl)`
`java.net.URL[]` | `getURLs(java.lang.ClassLoader cl, int depth)`
`java.lang.Object` | `getX509Certificates(byte[] x509)`
`java.lang.ClassLoader` | `newClassLoaderInstance(java.net.URL[] urls, java.lang.ClassLoader parent)` Return a class loader.
`void` | `refreshPolicy()`
`void` | `setContextClassLoader(java.lang.ClassLoader cl)` Set the context class loader - if possible.

Methods inherited from class org.apache.tomcat.util.compat.Jdk11Compat
`getJavaVersion, getJdkCompat, isJava2`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jdk12Support

    public Jdk12Support()

Method Detail

### newClassLoaderInstance

    public java.lang.ClassLoader newClassLoaderInstance(java.net.URL[] urls,
                                                        java.lang.ClassLoader parent)

  Return a class loader. For JDK1.2+ will return a URLClassLoader. For JDK1.1 will return the util.SimepleClassLoader

  Overrides:
    `newClassLoaderInstance` in class `Jdk11Compat`

### getAccessControlContext

    public java.lang.Object getAccessControlContext()
                                             throws java.lang.Exception

  Overrides:
    `getAccessControlContext` in class `Jdk11Compat`
  Throws:
    `java.lang.Exception`

### doPrivileged

    public java.lang.Object doPrivileged(Action action,
                                         java.lang.Object accObj)
                                  throws java.lang.Exception

  Description copied from class: `Jdk11Compat`
  Do a priviledged action. For java2 a wrapper will be provided and the AccesscController will be called.

  Overrides:
    `doPrivileged` in class `Jdk11Compat`
  Throws:
    `java.lang.Exception`

### refreshPolicy

    public void refreshPolicy()

  Overrides:
    `refreshPolicy` in class `Jdk11Compat`

### setContextClassLoader

    public void setContextClassLoader(java.lang.ClassLoader cl)

  Description copied from class: `Jdk11Compat`
  Set the context class loader - if possible.

  Overrides:
    `setContextClassLoader` in class `Jdk11Compat`

### getContextClassLoader

    public java.lang.ClassLoader getContextClassLoader()

  Description copied from class: `Jdk11Compat`
  Get the context class loader, if java2.

  Overrides:
    `getContextClassLoader` in class `Jdk11Compat`

### getParentLoader

    public java.lang.ClassLoader getParentLoader(java.lang.ClassLoader cl)

  Overrides:
    `getParentLoader` in class `Jdk11Compat`

### getURLs

    public java.net.URL[] getURLs(java.lang.ClassLoader cl,
                                  int depth)

  Overrides:
    `getURLs` in class `Jdk11Compat`

### getBundle

    public java.util.ResourceBundle getBundle(java.lang.String name,
                                              java.util.Locale loc,
                                              java.lang.ClassLoader cl)

  Overrides:
    `getBundle` in class `Jdk11Compat`

### getX509Certificates

    public java.lang.Object getX509Certificates(byte[] x509)
                                         throws java.lang.Exception

  Overrides:
    `getX509Certificates` in class `Jdk11Compat`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.